# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gtkdocize pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
# END SourceDeps(oneline)
%define fedora 19
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name ctpl
%define version 0.3.2
%global ctpl_docdir %{_defaultdocdir}/ctpl-%{version}

Name:           ctpl
Version:        0.3.2
Release:        alt2_7
Summary:        Template library and engine written in C

Group:          Development/Tools
License:        GPLv3+
URL:            http://ctpl.tuxfamily.org/
Source0:        http://download.tuxfamily.org/ctpl/releases/ctpl-%{version}.tar.gz

# Patch adds possibility to disable the build of the command line tool.
# The patch is pulled from upstream at
# http://git.tuxfamily.org/ctpl/ctpl/?p=gitroot/ctpl/ctpl.git;a=summary
Patch0:         ctpl-0.3.2-add-disable-cli-tool.patch


BuildRequires:  glib2-devel >= 2.10
Requires:       ctpl-libs = %{version}-%{release}
Source44: import.info

%description
CTPL is a template library written in C. It allows fast and easy parsing of
templates from many sources (including in-memory data and local and remote
streaming, thanks to GIO) and fine control over template parsing environment.

CTPL has following features:
* It is a library, then it can be easily used from programs
* Separated lexer and parser
* It is written in portable C
* Simple syntax
* Fast and strict parsing
* Possible in-memory parsing, allowing non-file data parsing and avoiding
  I/O-latency, through GIO's GMemoryInputStream and GMemoryOutputStream


%package libs
Summary:   Template library written in C
Group:     Development/Tools

%description libs
This package contains the CTPL library.

%package devel
Summary:   Development headers of the template library written in C
Group:     Development/Tools
Requires:  ctpl-libs = %{version}-%{release}

%description devel
This package contains the development headers of the CTPL library.


%package doc
Summary:   Documentation for the CTPL library
Group:     Development/Tools
Requires:  ctpl-libs = %{version}-%{release}

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch: noarch
%endif

%description doc
This package contains the HTML documentation reference for the CTPL library.


%prep
%setup -q

# remove waf since this isn't needed for the build, we're building the
# package with autotools
rm -f waf
rm -f wscript


# The CLI tool only needs to be disabled on RHEL because of GIO dependency issues,
# see RHBZ#749874 for more detailed information.
%if 0%{?rhel}
%patch0 -p1
%endif


%build
%if 0%{?rhel}
%configure --docdir %{ctpl_docdir} --disable-cli-tool
%else
%configure --docdir %{ctpl_docdir}
%endif

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Seems the --docdir flag is not working correctly, working around this here
# for now
install -d $RPM_BUILD_ROOT%{ctpl_docdir}
install -Dpm0644 AUTHORS COPYING NEWS HACKING TODO README THANKS $RPM_BUILD_ROOT%{ctpl_docdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/libctpl.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libctpl.la

%if ! 0%{?rhel}
%files
%doc %{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}
%endif


%files libs
%dir %{ctpl_docdir}
%doc %{ctpl_docdir}/AUTHORS
%doc %{ctpl_docdir}/COPYING
%doc %{ctpl_docdir}/NEWS
%{_libdir}/lib%{name}.so.*


%files devel
%doc %{ctpl_docdir}/HACKING
%doc %{ctpl_docdir}/TODO
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%doc %{ctpl_docdir}/README
%doc %{ctpl_docdir}/THANKS
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_7
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.3.2-alt2_6
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_6
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_5
- fc import

